﻿using System.Windows;
using Telerik.Windows.Controls;
using Telerik.Windows.Documents.Model;
using Telerik.Windows.Documents.UI;

namespace PrintPivotGrid
{
    /// <summary>
    /// Interaction logic for PrintPreview.xaml
    /// </summary>
    public partial class PrintPreview : RadWindow
    {

        public PrintPreview(RadDocument document)
        {
            InitializeComponent();

            this.RichTextBox.Document = document;
        }

        private void PrintButton_Click(object sender, RoutedEventArgs e)
        {
            this.RichTextBox.Print("Test", PrintMode.Native);  
            Dispatcher.BeginInvoke(() => this.Close());
        }

        private void CancelButton_Click(object sender, RoutedEventArgs e)
        {
            this.Close();
        }
    }
}
